[**@wocart/storefront v3.1.0**](../../README)

***

[@wocart/storefront](../../README) / [index](../README) / ShopperOrderStatusSchema

# Variable: ShopperOrderStatusSchema

> `const` **ShopperOrderStatusSchema**: `z.ZodObject`\<\{ `deliveryType`: `z.ZodEnum`\<\{ `home`: `"home"`; `stop_desk`: `"stop_desk"`; \}\>; `lines`: `z.ZodArray`\<`z.ZodObject`\<\{ `name`: `z.ZodString`; `quantity`: `z.ZodNumber`; `variantLabel`: `z.ZodNullable`\<`z.ZodString`\>; \}, `z.core.$strip`\>\>; `orderNumber`: `z.ZodString`; `placedAt`: `z.ZodString`; `stage`: `z.ZodString`; `total`: `z.ZodNumber`; `tracking`: `z.ZodNullable`\<`z.ZodObject`\<\{ `carrier`: `z.ZodNullable`\<`z.ZodString`\>; `number`: `z.ZodString`; \}, `z.core.$strip`\>\>; \}, `z.core.$strip`\>

Where a shopper's order is — POST /store/orders/status. `stage` is an open
string: a newer server may name a step this release does not know.
